<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFShapeGroup (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFShapeGroup (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":9,"i10":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFShapeGroup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFShapeGroup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFShapeGroup" class="title">Class XSSFShapeGroup</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFShapeGroup</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                 title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.ss.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFShapeGroup</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
           title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
              title="interface in org.apache.poi.ss.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</pre>
                <div class="block">This object specifies a group shape that represents many shapes grouped together.
                    This shape is to be treated
                    just as if it were a regular shape but instead of being described by a single geometry it is made up
                    of all the
                    shape geometries encompassed within it. Within a group shape each of the shapes that make up the
                    group are
                    specified just as they normally would.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#XSSFShapeGroup-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape-">XSSFShapeGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape&nbsp;ctGroup)</code>
                                    <div class="block">Construct a new XSSFSimpleShape object.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFConnector</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#createConnector-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">createConnector</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a simple shape.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#createGroup-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">createGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a group shape.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPicture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#createPicture-org.apache.poi.xssf.usermodel.XSSFClientAnchor-int-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a>&nbsp;anchor,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Creates a picture.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#createSimpleShape-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">createSimpleShape</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a simple shape.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextBox</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#createTextbox-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">createTextbox</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Constructs a textbox.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#getCTGroupShape--">getCTGroupShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#getShapeProperties--">getShapeProperties</a></span>()</code>
                                    <div class="block">Returns xml bean with shape properties.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected static
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#prototype--">prototype</a></span>()</code>
                                    <div class="block">Initialize default structure of a new shape group</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html#setCoordinates-int-int-int-int-">setCoordinates</a></span>(int&nbsp;x1,
                                    int&nbsp;y1,
                                    int&nbsp;x2,
                                    int&nbsp;y2)</code>
                                    <div class="block">Sets the coordinate space of this group.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFShapeGroup-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFShapeGroup</h4>
                                <pre>protected&nbsp;XSSFShapeGroup(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                         org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape&nbsp;ctGroup)</pre>
                                <div class="block">Construct a new XSSFSimpleShape object.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>drawing</code> - the XSSFDrawing that owns this shape</dd>
                                    <dd><code>ctGroup</code> - the XML bean that stores this group content</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="prototype--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>prototype</h4>
                                <pre>protected static&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape&nbsp;prototype()</pre>
                                <div class="block">Initialize default structure of a new shape group</div>
                            </li>
                        </ul>
                        <a name="createTextbox-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTextbox</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFTextBox</a>&nbsp;createTextbox(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Constructs a textbox.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the child anchor describes how this shape is attached
                                        to the group.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created textbox.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSimpleShape-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSimpleShape</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a>&nbsp;createSimpleShape(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a simple shape. This includes such shapes as lines,
                                    rectangles,
                                    and ovals.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the child anchor describes how this shape is attached
                                        to the group.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConnector-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConnector</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFConnector</a>&nbsp;createConnector(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a simple shape. This includes such shapes as lines,
                                    rectangles,
                                    and ovals.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the child anchor describes how this shape is attached
                                        to the group.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPicture-org.apache.poi.xssf.usermodel.XSSFClientAnchor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFPicture</a>&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a>&nbsp;anchor,
                                 int&nbsp;pictureIndex)</pre>
                                <div class="block">Creates a picture.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this picture is attached
                                        to the sheet.
                                    </dd>
                                    <dd><code>pictureIndex</code> - the index of the picture in the workbook collection
                                        of pictures,
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#getAllPictures--"><code>XSSFWorkbook.getAllPictures()</code></a>
                                        .
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created picture shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createGroup-org.apache.poi.xssf.usermodel.XSSFChildAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createGroup</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a>&nbsp;createGroup(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a group shape.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached to
                                        the group.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created group shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTGroupShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTGroupShape</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape&nbsp;getCTGroupShape()</pre>
                            </li>
                        </ul>
                        <a name="setCoordinates-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCoordinates</h4>
                                <pre>public&nbsp;void&nbsp;setCoordinates(int&nbsp;x1,
                           int&nbsp;y1,
                           int&nbsp;x2,
                           int&nbsp;y2)</pre>
                                <div class="block">Sets the coordinate space of this group. All children are constrained
                                    to these coordinates.
                                </div>
                            </li>
                        </ul>
                        <a name="getShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeProperties</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getShapeProperties()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">XSSFShape</a></code></span>
                                </div>
                                <div class="block">Returns xml bean with shape properties.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">getShapeProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>xml bean with shape properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>&gt;</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFShapeGroup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFShapeGroup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
